document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_7700 | ---
+++
@@ -5,7 +5,7 @@
# and we are part of a git repository that the user has not fully initialized,
# go ahead and do the step of fetching the the submodule so the compile process
# can run.
-if [[ ! -f libtexpdf/configure.ac && -d .git ]]; then
+if [ ! -f "libtexpdf/configure.ac" ] && [ -d ".git" ]; then
... | bash |
d_bash_7701 | ---
+++
@@ -1,4 +1,10 @@
#!/usr/bin/env bash
+
+if [[ ! -f packages || ! -f aur_packages ]]; then
+ echo "One or more of packages and aur_packages doesn't exist."
+ echo "Are we in the right directory? Quitting.."
+ exit
+fi
echo "Cleaning out orphaned dependencies..."
ORPHANS=$(pacman -Qdtq)
@@ -10,10 ... | bash |
d_bash_7702 | ---
+++
@@ -1,22 +1,15 @@
#!/bin/bash
set -e -x
-# Install a system package required by our library
-yum install -y atlas-devel
-
-# Compile wheels
-for PYBIN in /opt/python/*/bin; do
+# test and compile wheels
+for PYBIN in /opt/python/*/bin/; do
${PYBIN}/pip install -r /io/dev-requirements.txt
+ ${PYBIN... | bash |
d_bash_7703 | ---
+++
@@ -20,8 +20,16 @@
exit 1
fi
-open "$DOTFILES/osx/parsec.terminal"
-"$DOTFILES/osx/defaults.sh"
+# Set correct netrc permissions
+touch "$HOME/.netrc"
+chmod 0600 "$HOME/.netrc"
+
+# Correct gnupg permissions after linking, this must be done before a private
+# key is added otherwise it will bork the ke... | bash |
d_bash_7704 | ---
+++
@@ -2,9 +2,9 @@
# Install autograph
echo "installing autograph + dependencies"
-curl -sL -o ./gimme https://raw.githubusercontent.com/travis-ci/gimme/v1.2.0/gimme
+curl -sL -o ./gimme https://raw.githubusercontent.com/travis-ci/gimme/v1.5.0/gimme
chmod +x ./gimme
-eval "$(./gimme 1.10)"
+eval "$(./gimme ... | bash |
d_bash_7705 | ---
+++
@@ -2,7 +2,8 @@
# This is called from pre-push.bash to do some verification checks on
# the Go code. The script will exit non-zero if any of these tests
-# fail.
+# fail. However if environment variable IGNORE_VET_WARNINGS is a non-zero
+# length string, go vet warnings will not exit non-zero.
set -e... | bash |
d_bash_7706 | ---
+++
@@ -4,21 +4,25 @@
git clone -b dev https://github.com/GooglingTheCancerGenome/sv-callers.git
cd sv-callers/snakemake
-CALLERS="['manta','delly','lumpy','gridss']"
+CALLERS=(manta delly lumpy gridss)
+STR_CALLERS="[$(printf "'%s'," "${CALLERS[@]}"|sed 's/,$//')]"
ECHO=$1
MODE=$2
SCH=$3
SAMPLES=$([ "$EC... | bash |
d_bash_7707 | ---
+++
@@ -18,9 +18,20 @@
curl -X GET $uri;
}
+function getid ()
+{
+ action="${action}get"
+ uri="${base}${action}&id=${1}${json}";
+ echo "Accessing $uri";
+ curl -X GET $uri;
+}
+
case "$1" in
ping|dbping)
ping $1
+ ;;
+ id)
+ getid $2
;;
*)
... | bash |
d_bash_7708 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
# Install dependencies
-sudo yum -y install gcc git python-devel python-setuptools libffi libffi-devel
+sudo yum -y install gcc git python-devel python-setuptools libffi libffi-devel openssl openssl-devel
sudo easy_install pip
sudo pip install ansible
| bash |
d_bash_7709 | ---
+++
@@ -1,19 +1,19 @@
#!/bin/bash
# BACKEND PARALLEL
-sh generateSpecFull.sh
+sh generateSpecFull.sh || exit 1
# CLEANER
-sh cleaner.sh
+sh cleaner.sh || exit 1
# WRAPPER
-sh wrapper.sh $1
+sh wrapper.sh $1 || exit 1
# TESTS
-time parallel -j $1 --delay 0.1 -a specfull.txt './executor.sh'
+time paral... | bash |
d_bash_7710 | ---
+++
@@ -4,4 +4,4 @@
# ------------------------------------------------------
IDE_BIN_HOME="$(dirname "$(realpath "$0")")"
-exec "$IDE_BIN_HOME/idea.sh" -e "$@"
+exec "$IDE_BIN_HOME/__script_name__" -e "$@" | bash |
d_bash_7711 | ---
+++
@@ -24,7 +24,7 @@
ubuntu)
# Get Docker
- curl -s https://get.docker.io/ubuntu/ | sh
+ curl -s https://get.docker.com/ubuntu/ | sh
# Update apt-get lists
apt-get update | bash |
d_bash_7712 | ---
+++
@@ -10,7 +10,10 @@
echo 'listener 1883' >> /etc/mosquitto/mosquitto.conf
echo 'protocol mqtt' >> /etc/mosquitto/mosquitto.conf
mv /root/aclfile /etc/mosquitto/aclfile
- mosquitto_passwd -b /etc/mosquitto/pwfile iota ${IOTA_PASS}
+ if ! [ -z "${IOTA_PASS}" ] ; then
+ # Only if IOTA_PA... | bash |
d_bash_7713 | ---
+++
@@ -27,6 +27,7 @@
brew install tree
brew install zsh
brew install libyaml
+brew install heroku-toolbelt
# GNU Duplicates
brew install coreutils --default-names | bash |
d_bash_7714 | ---
+++
@@ -8,6 +8,7 @@
alias -g .....='../../../..'
alias -g ......='../../../../..'
+alias -- -='cd -'
alias 1='cd -'
alias 2='cd -2'
alias 3='cd -3' | bash |
d_bash_7715 | ---
+++
@@ -5,7 +5,7 @@
base_dir="$TWEET_BASE_DIR"
log_dir="$TWEET_BASE_DIR/logs"
-logfile="$log_dir/handle_mention.log"
+logfile="$log_dir/handle_dm.log"
source "$tweet_sh"
load_keys
@@ -22,7 +22,6 @@
then
exit 1
fi
-echo "ADMIN $administrators"
while read -r message
do | bash |
d_bash_7716 | ---
+++
@@ -7,6 +7,16 @@
sed -i /HWADDR/d /etc/sysconfig/network-scripts/ifcfg-eth0
rm /etc/udev/rules.d/70-persistent-net.rules
+#Remove oh-my-zsh git repo histories to save space; keep the current code checkout. We want oh-my-zsh but not the whole git repo's history
+echo "Removing oh-my-zsh git repos..."
+rm -... | bash |
d_bash_7717 | ---
+++
@@ -3,8 +3,10 @@
mkdir -p ~/migration/home
mkdir ~/migration/home/.ipython
-cp -R ~/.ssh ~/migration/home
-cp /Library/Preferences/SystemConfiguration/com.apple.airport.preferences.plist ~/migration
-cp ~/.z ~/.zhistory ~/migration/home
-cp -r ~/.ipython/logs/ ~/.ipython/profile_default/history.sqlite ~/m... | bash |
d_bash_7718 | ---
+++
@@ -1,22 +1,36 @@
#!/bin/bash
#$1 $2 ...$NF
-k=$1
+dir=$1
+k=$2
+
+
+
intCheck="$k |grep '/[0-9]+'"
-if [[ $k =~ ^-?[0-9]+$ ]]
-then
- names=`ls -la|awk -v k="$k" '$5 > k {print $NF}'`
- if [[ $names == "" ]]
+if [ -z "$dir" ] || [ -z "$k" ];then
+ echo "Please enter both a valid directory and a maxim... | bash |
d_bash_7719 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-set -e -x
+set -e -u -x
function repair_wheel {
wheel="$1" | bash |
d_bash_7720 | ---
+++
@@ -2,7 +2,7 @@
which xz 1>/dev/null 2>/dev/null
local bi_nokogiri_1_6_8_with_xz_NOT_PRESENT=$?
if [ $bi_nokogiri_1_6_8_with_xz_NOT_PRESENT -eq 0 ]; then
- brew uninstall xz || return $?
+ brew uninstall --ignore-dependencies xz || return $?
fi
bi || return $?
if [ $bi_nokogiri_1_6_8_w... | bash |
d_bash_7721 | ---
+++
@@ -6,32 +6,42 @@
#
# This script is being used for one of my upcoming projects. It essentially generates
# a file containing a list of IP sums.
+# Thanks to @rascul for the IP generation script.
#
# TO RUN:
# - Download/Host somewhere.
# - Edit the saveLocation line with where you want to save to and ... | bash |
d_bash_7722 | ---
+++
@@ -1,4 +1,6 @@
#!/bin/bash
+set -e
+
if [ "${BUILDER_TOP_DIR}" = "" ]
then
BUILDER_TOP_DIR=$( cd ../..; pwd )
@@ -24,10 +26,13 @@
fi
done
+pushd ..
make -f linux.mak
+popd
+
pushd ../Common
make -f linux.mak
popd
-python3-pylint --rcfile pylintrc wb_*.py ../Common/wb*.py ../Git/wb*.py .... | bash |
d_bash_7723 | ---
+++
@@ -7,7 +7,7 @@
mkdir "${BUILD_DIR}"
-export CCACHE_SIZE="4G"
+export CCACHE_SIZE="1G"
export CCACHE_COMPRESS=1
NUM_THREADS=4
| bash |
d_bash_7724 | ---
+++
@@ -8,7 +8,7 @@
email_address="$1"
ussd_conv="CONVERSATION:wikipedia_ussd:$2"
-sms_conv="TRANSPORT_TAG:wikipedia_sms:$3"
+sms_conv="CONVERSATION:wikipedia_sms:$3"
. $(dirname $0)/mangle_routing_table_utils.sh
| bash |
d_bash_7725 | ---
+++
@@ -1,8 +1,8 @@
#!/bin/bash
-if [ "${TRAVIS_OS_NAME}" == "osx" ]
+if [ "${RUNNER_OS}" == "macOS" ]
then
- brew cask install google-chrome
+ brew install google-chrome
sudo Xvfb :99 -ac -screen 0 1024x768x8 &
export CHROME_BIN="/Applications/Google Chrome.app"
npm run test:prepar... | bash |
d_bash_7726 | ---
+++
@@ -24,4 +24,4 @@
sleep 1
done
-halt
+poweroff -f | bash |
d_bash_7727 | ---
+++
@@ -3,6 +3,7 @@
ALL_HEALTHY=`aws elb describe-instance-health --load-balancer-name memecaptain | jq '.InstanceStates | map(.State=="InService") | all'`
echo `date` all instances healthy? $ALL_HEALTHY
if [ "$ALL_HEALTHY" = "true" ]; then break; fi
+ sleep 4
done
}
| bash |
d_bash_7728 | ---
+++
@@ -23,9 +23,14 @@
fi
# Create the virtual env if necessary
-if [[ ! -d '.venv' ]]
+if ! [[ -e .venv/bin/activate ]]
then
- python3 -m venv .venv
+ echo Creating virtual environment
+ # Shield from systems needing to install the venv module separately
+ if ! python3 -m venv .venv
+ then
+ ... | bash |
d_bash_7729 | ---
+++
@@ -4,7 +4,8 @@
cd website
make clean && make
-echo "lettre.at" > _book/CNAME
+cp static/images/favicon.png _book/html/favicon.png
+echo "lettre.at" > _book/html/CNAME
sudo pip install ghp-import
-ghp-import -n _book
+ghp-import -n _book/html
git push -f https://${GH_TOKEN}@github.com/${TRAVIS_REPO_SLUG... | bash |
d_bash_7730 | ---
+++
@@ -2,3 +2,4 @@
cp -R scriptmodules/ports/* "/home/pi/RetroPie-Setup/scriptmodules/ports/"
cp -R scriptmodules/emulators/* "/home/pi/RetroPie-Setup/scriptmodules/emulators"
+cp -R scriptmodules/supplementary/* "/home/pi/RetroPie-Setup/scriptmodules/supplementary" | bash |
d_bash_7731 | ---
+++
@@ -4,5 +4,5 @@
[[ "$OSTYPE" =~ ^darwin ]] || return 1
# node
-path+=/Users/ejoubaud/node_modules/.bin
+path+=$HOME/node_modules/.bin
| bash |
d_bash_7732 | ---
+++
@@ -5,12 +5,13 @@
KPI_WEB_SERVER="${KPI_WEB_SERVER:-uWSGI}"
uwsgi_command="/usr/local/bin/uwsgi --ini ${KPI_SRC_DIR}/uwsgi.ini"
+
if [[ "${KPI_WEB_SERVER,,}" == 'uwsgi' ]]; then
echo 'Running `kpi` container with uWSGI application server.'
exec ${uwsgi_command}
else
echo 'Running `kpi` co... | bash |
d_bash_7733 | ---
+++
@@ -22,4 +22,4 @@
source "$DIR"/../venv
pip install pyinstaller
-make translate
+make translations | bash |
d_bash_7734 | ---
+++
@@ -10,17 +10,5 @@
# echo "YYYY-MM-DD - do something or other"
# rake growstuff:oneoff:something
-echo "2014-12-01 - load lots of new crops"
-rake growstuff:import_crops file=db/seeds/crops-12-mint.csv
-rake growstuff:import_crops file=db/seeds/crops-13-brassicas.csv
-rake growstuff:import_crops file=db/s... | bash |
d_bash_7735 | ---
+++
@@ -4,11 +4,12 @@
set -o nounset
set -o pipefail
-cd blob
-mkdir source
-tar zxf source.tar.gz -C source --strip-components=1
+tag=$(cat blob/tag)
+git clone https://github.com/cloudfoundry/$LANGUAGE-buildpack.git source
+cd source
+git checkout $tag
+git submodule update --init --recursive
-cd source
... | bash |
d_bash_7736 | ---
+++
@@ -13,7 +13,7 @@
for src_name in *; do
name=$(printf "$src_name" | cut -d- -f5-)
- path="${jagen_bin_dir:?}/arm-hisiv200-linux-${name}"
+ path="${jagen_bin_dir:?}/${jagen_target_system}-${name}"
cat >"$path" <<EOF || return
exec \$jagen_ccache "$src_dir/$src_name" "\$@... | bash |
d_bash_7737 | ---
+++
@@ -16,6 +16,9 @@
apt-get-install python-certbot-nginx
+print_step_comment "Adding crontab entry for certificate renewals."
+(crontab -l | echo "23 3,18 * * * root certbot renew --quiet") | crontab -
+
print_success "All done."
certbot --version
echo | bash |
d_bash_7738 | ---
+++
@@ -14,7 +14,11 @@
#
# With the --install option, also tries to install the right version.
-# This version should always be bumped to the newest version available.
+# This version should always be bumped to the newest version available that
+# works with stable Rust.
+# ... but not 0.10.0, since it's the ... | bash |
d_bash_7739 | ---
+++
@@ -22,7 +22,7 @@
git clone https://www.github.com/freenas/freenas --depth=1 /freenas
cd /freenas/src/middlewared
pip3.6 uninstall -y middlewared.client
-python3.6 setup_client.py install
+python3.6 setup_client.py install --single-version-externally-managed --record $(mktemp)
cd /freenas/src/middlewared/... | bash |
d_bash_7740 | ---
+++
@@ -11,6 +11,9 @@
# create directories
echo "Creating application directory..."
mkdir $APP_DIR > /dev/null 2>&1
+echo "Creating application subdirectories..."
+exho "tmp/"
+mkdir $APP_DIR'tmp/' > /dev/null 2>&1
echo "Creating log directory..."
mkdir $LOG_DIR > /dev/null 2>&1
| bash |
d_bash_7741 | ---
+++
@@ -4,7 +4,7 @@
set -x
## Often used tools.
-$minimal_apt_get_install curl less vim-tiny psmisc
+$minimal_apt_get_install curl less vim-tiny psmisc gpg-agent dirmngr
ln -s /usr/bin/vim.tiny /usr/bin/vim
## This tool runs a command as another user and sets $HOME. | bash |
d_bash_7742 | ---
+++
@@ -1,25 +1,26 @@
#!/bin/bash
-pushd $NEBULA_PATH/scripts
+pushd $NEBULA2_PATH/scripts
RIAK_HOST=nebriak1
RIAK_HTTP_PORT=8098
+DELAY=5
# create cdmi bucket type
ssh root@${RIAK_HOST} "riak-admin bucket-type create cdmi '{\"props\":{}}'"
ssh root@${RIAK_HOST} "riak-admin bucket-type activate cdmi"
... | bash |
d_bash_7743 | ---
+++
@@ -1,11 +1,32 @@
#!/bin/bash
+echo "Installing EPEL"
+dnf install -y /var/preserve/epel-release-latest-8.noarch.rpm
+
+echo "Install ELREPO"
+dnf install -y https://www.elrepo.org/elrepo-release-8.el8.elrepo.noarch.rpm
+
echo "Downloading packages"
-yum update -y --downloadonly --downloaddir=/var/preserv... | bash |
d_bash_7744 | ---
+++
@@ -2,21 +2,11 @@
#
# Author: Petr Zemek <s3rvac@gmail.com>
#
-# Sets the background of the screen(s).
+# Sets the background of the screens.
#
-# Find the screen resolution.
-# TODO When using dual heads, width is 3360 (or similar), i.e. the sum of the
-# widths of both monitors.
-# LINE=`xrandr -... | bash |
d_bash_7745 | ---
+++
@@ -1,7 +1,21 @@
+include array.util.ArrayUtil
include base.util.BaseUtil
include string.util.StringUtil
LoggerUtil(){
+ _formatLogLevel(){
+ logLevel=${1}
+ validLogLevels=(info error)
+
+ maxLength=$(ArrayUtil returnMaxLength ${validLogLevels[@]})
+
+ while [[ $(BaseComparator isLessThan $(StringUt... | bash |
d_bash_7746 | ---
+++
@@ -16,7 +16,7 @@
if [[ $PATH == *"$ENV"* ]]; then
echo "Conda env '$ENV' already activated."
else
- source activate $ENV
+ conda activate $ENV
fi
fi
} | bash |
d_bash_7747 | ---
+++
@@ -26,4 +26,19 @@
alias gcl='git-cleanup'
function git-merged() { git branch --merged $@ | sed -e '/^*/d' }
-function git-cleanup() { git branch -d $(git-merged); git remote prune origin }
+function git-cleanup() {
+ echo "=== Cleaning Remote Branch Caches ==="
+ git remote prune origin
+
+ echo "=== Cl... | bash |
d_bash_7748 | ---
+++
@@ -6,26 +6,54 @@
exit 1
fi
+LOG_DIR="/tmp/meteor-test-runner"
+# CirleCI.
+if [ -n "${CIRCLE_ARTIFACTS}" ]; then
+ LOG_DIR="${CIRCLE_ARTIFACTS}"
+fi
+LOG_DIR="${LOG_DIR}/${PACKAGE}"
+rm -rf ${LOG_DIR}
+mkdir -p ${LOG_DIR}
+
# Move to the correct directory.
cd "$( dirname "${BASH_SOURCE[0]}" )/.."
... | bash |
d_bash_7749 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-# $Id: makePackage.sh,v 1.7 2004/03/20 18:14:01 cpbotha Exp $
+# $Id: makePackage.sh,v 1.8 2004/04/15 12:51:00 cpbotha Exp $
# go to the directory that contains makePackage.sh (i.e. devide/installer)
cd `dirname $0`
@@ -21,6 +21,8 @@
$INSTALLER devide.spec
# strip all the l... | bash |
d_bash_7750 | ---
+++
@@ -2,6 +2,7 @@
brew cask install adium
brew cask install alfred
+brew cask install appcleaner
brew cask install charles
brew cask install dropbox
brew cask install evernote
@@ -10,9 +11,10 @@
brew cask install google-chrome
brew cask install imageoptim
brew cask install iterm2
-brew cask install ke... | bash |
d_bash_7751 | ---
+++
@@ -1,4 +1,4 @@
-#!/usr/bin/env ssh-agent /bin/sh
+#!/usr/bin/ssh-agent /bin/sh
set -x
| bash |
d_bash_7752 | ---
+++
@@ -20,7 +20,7 @@
{
# This relies on the fact that the latest iPhone SDK
# is the last thing listed before the Xcode version.
- /usr/bin/xcodebuild -version -sdk 2> /dev/null | tail -n 4 | head -n 1 | awk '{ print $2 }'
+ /usr/bin/xcodebuild -version -sdk 2> /dev/null | grep SDKVersion | tail... | bash |
d_bash_7753 | ---
+++
@@ -1,3 +1,4 @@
#!/bin/sh
+
npm install --prefix=$VIRTUAL_ENV -g `cat globals.npm | tr '\n' ' '`
npm install | bash |
d_bash_7754 | ---
+++
@@ -4,7 +4,7 @@
git clone https://github.com/GoogleCloudPlatform/kubernetes
pushd kubernetes
-git checkout tags/v$VERSION
+git checkout -b v$VERSION tags/v$VERSION
/opt/bin/kubectl create -f examples/guestbook/redis-master.json
/opt/bin/kubectl create -f examples/guestbook/redis-master-service.json | bash |
d_bash_7755 | ---
+++
@@ -6,14 +6,16 @@
if [ $CASE == "NODE2" ]; then
echo "Case node2, just waiting for the other node to join us then exit"
- sleep 300
- exit 0
+ ip addr show
+ sleep 60
+ cat /var/log/opsbro/gossip.log
+ exit 1
fi
# Case 1: try to detect and join other node
# Sleep a bit to be s... | bash |
d_bash_7756 | ---
+++
@@ -1,21 +1,30 @@
#!/bin/bash
set -ex
+if [ "$(uname -m)" == "aarch64" ]; then
+ MAX_JOBS=3
+else
+ MAX_JOBS=
+fi
+
if [ ! -f /usr/local/lib/libz.a ]; then
pushd zlib
- ./configure && make -j install
+ ./configure
+ make -j $MAX_JOBS install
popd
fi
if [ ! -f /usr/local/lib... | bash |
d_bash_7757 | ---
+++
@@ -2,7 +2,7 @@
# It turns out 'openmp=True' will cause some problems in Theano 0.7.0, so it was removed
-export THEANO_FLAGS='mode=FAST_RUN,floatX=float32,optimizer_excluding=inplace,allow_gc=False'
+export THEANO_FLAGS='mode=FAST_RUN,floatX=float32,openmp_elemwise_minsize=1000,allow_gc=False'
export O... | bash |
d_bash_7758 | ---
+++
@@ -17,7 +17,9 @@
}
setJavaHome(){
- if [[ $(StringValidator beginsWith 6.1 ${1}) ]]; then
+ local version=${1}
+
+ if [[ $(StringValidator isSubstring version 6.1) ]]; then
${_log} info "configuring_Liferay_to_use_JDK7..."
if [[ $(getOS) =~ NT ]]; then | bash |
d_bash_7759 | ---
+++
@@ -2,13 +2,18 @@
# To ensure this script always executes relative to the repo root
cd "$(dirname "$0")/.."
+
+docker build -t puppet-pdk -f ./ci/Dockerfile.pdk .
if [ ! "${SKIP_VALIDATION}" == "true" ]; then
echo "Running validations..."
docker run --rm \
-v $PWD:/root \
-w /root \
- ... | bash |
d_bash_7760 | ---
+++
@@ -3,3 +3,11 @@
export SOCKET_DIR="/usr/local/var/www"
export LOG_DIR="/usr/local/var/log/nginx"
+
+if [ "$(uname -s)" == "Linux" ]; then
+ export PATH="$HOME/.nodenv/bin:$PATH"
+ export PATH="$HOME/.nodenv/plugins/node-build/bin:$PATH"
+
+ export PATH="$HOME/.rbenv/bin:$PATH"
+ export PATH="$HOME/.r... | bash |
d_bash_7761 | ---
+++
@@ -13,10 +13,6 @@
export PATH=/usr/local/opt/coreutils/libexec/gnubin:${PATH}
export MANPATH=/usr/local/opt/coreutils/libexec/gnuman:${MANPATH}
fi
-
-# Disable Homebrew locale filtering (throws errors)
-# https://github.com/Linuxbrew/brew/issues/568
-export HOMEBREW_NO_ENV_FILTERING=1
# Inject Linu... | bash |
d_bash_7762 | ---
+++
@@ -3,6 +3,10 @@
apt-get -y install linux-headers-$(uname -r) build-essential
apt-get -y install zlib1g-dev libssl-dev libreadline-gplv2-dev
apt-get -y install curl unzip
+apt-get clean
+
+# Set up sudo
+echo 'vagrant ALL=NOPASSWD:ALL' > /etc/sudoers.d/vagrant
# Tweak sshd to prevent DNS resolution (spe... | bash |
d_bash_7763 | ---
+++
@@ -3,7 +3,7 @@
case "$1" in
java8)
- echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u322-b06/OpenJDK8U-jdk_x64_linux_hotspot_8u322b06.tar.gz"
+ echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u332-b09/OpenJDK8U-jdk_x64_linux_hotspot_8u332b09.tar.g... | bash |
d_bash_7764 | ---
+++
@@ -6,8 +6,8 @@
if [[ "$TERM" == "screen" ]]; then
print -Pn "\ek$1\e\\" #set screen hardstatus, usually truncated at 20 chars
elif [[ ($TERM =~ "^xterm") ]] || [[ ($TERM == "rxvt") ]] || [[ "$TERM_PROGRAM" == "iTerm.app" ]]; then
+ print -Pn "\e]2;$2\a" #set window name
print -Pn "\e]1;$1... | bash |
d_bash_7765 | ---
+++
@@ -9,6 +9,9 @@
aws s3 website "s3://$BUCKET" --index-document index.html --error-document error.html
fi
+# disable indexing of dev site
+echo "User-agent: *\nDisallow: /" > dist/robots.txt
+
# sync site
aws s3 sync --acl public-read --delete dist/ "s3://$BUCKET"
echo "$BRANCH branch deployed to http... | bash |
d_bash_7766 | ---
+++
@@ -1,4 +1,4 @@
# Setup cron for downloading ns information
-CRON='0,15,30,45 * * * * /opt/core/bin/core-ns-download.py -u "$(mdata-get ns_urls 2>/dev/null)"'
+CRON='0,5,10,15,20,25,30,35,40,45,50,55 * * * * /opt/core/bin/core-ns-download.py -u "$(mdata-get ns_urls 2>/dev/null)"'
(crontab -l 2>/dev/null |... | bash |
d_bash_7767 | ---
+++
@@ -1,6 +1,13 @@
#/bin/sh
dir=$(dirname $(which $0));
trans_url="http://darwin-trans/message/xliff/part"
+orig_url="http://darwin-trans/message/origxliff/part"
+
+
+if [ "$1" = "orig" ]; then
+ wget --no-proxy "$orig_url/2/" -O "$dir/../apps/public/i18n/en/messages.xml"
+ wget --no-proxy "$orig_url/1/" -... | bash |
d_bash_7768 | ---
+++
@@ -6,8 +6,20 @@
source ./helper.sh $*
set_stage
+export IACA=$PREFIX/iaca-2.1-lin64
+
wgetl iaca-lin64.zip
unzip iaca-lin64.zip
-mv iaca-lin64 /share/apps/iaca-2.1-lin64
+mv iaca-lin64 $IACA
+
+# Unfortunately, IACA requires at least libstdc++3.14.15
+# RHEL6 is a few steps behind. This is also an iss... | bash |
d_bash_7769 | ---
+++
@@ -6,10 +6,10 @@
grunt
- cp $BASE_DIR/../js-build/forms-angular.min.js $BASE_DIR/../../$1/app/lib/forms-angular.min.js
- cp $BASE_DIR/../js-build/forms-angular.js $BASE_DIR/../../$1/app/lib/forms-angular.js
+ cp $BASE_DIR/../js-build/forms-angular.min.js $BASE_DIR/../../$1/app/components/a... | bash |
d_bash_7770 | ---
+++
@@ -13,7 +13,7 @@
HEAD_SHA=`git rev-parse HEAD`
if [ "$MASTER_SHA" == "$HEAD_SHA" ]; then
# get the version from the version file
- VERSION_TAG="v`cat VERSION.TXT`"
+ VERSION_TAG="v`cat VERSION.txt`"
# check to make sure the tag doesn't already exist
if ! git rev-parse $VERSION_TAG >/dev/null 2... | bash |
d_bash_7771 | ---
+++
@@ -7,4 +7,4 @@
tmux send-keys -t sparkfun 'workon sparkfun' c-m
tmux send-keys -t sparkfun 'cp -R ~pi/sparkfun-avc /tmp' c-m
tmux send-keys -t sparkfun 'cd /tmp/sparkfun-avc' c-m
-tmux send-keys -t sparkfun 'sudo ~pi/.virtualenvs/sparkfun/bin/python -m main --max-throttle=0.5 -k paths/sparkfun-avc-2016.km... | bash |
d_bash_7772 | ---
+++
@@ -1,6 +1,8 @@
# vim: ft=sh
dot_list() {
- _dot_list() { echo $1,$2 }
+ _dot_list() {
+ echo $1,$2
+ }
parse_linkfiles _dot_list
| bash |
d_bash_7773 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-dotnet restore --verbosity minimal
-dotnet build src/API
-dotnet test tests/API.Tests
-dotnet publish src/API
+dotnet restore --verbosity minimal || exit 1
+dotnet build src/API || exit 1
+dotnet test tests/API.Tests || exit 1
+dotnet publish src/API || exit 1 | bash |
d_bash_7774 | ---
+++
@@ -2,7 +2,7 @@
set -e
-JAVA_VERSION=8u131-b11-0ubuntu1.16.04.2
+JAVA_VERSION=8u131-b11-2ubuntu1.16.04.3
CA_CERTIFICATES_JAVA_VERSION=20160321
# Install | bash |
d_bash_7775 | ---
+++
@@ -27,3 +27,6 @@
echo "Running Ansible playbook..."
ansible-playbook main.yml --ask-become-pass
+
+echo "Running dotfiles bootstrap script..."
+test -d ~/.dotfiles && cd ~/.dotfiles && ./script/bootstrap | bash |
d_bash_7776 | ---
+++
@@ -3,7 +3,7 @@
starcluster start -c deploy aws-deployment
starcluster put aws-deployment -u mark $TARBALL $TARBALL
starcluster put aws-deployment -u mark $FOLDER/scripts/baton.sh baton.sh
-starcluster sshmaster aws-deployment -u mark "./baton.sh $TARBALL 250 --iterations 16777216"
+starcluster sshmaster... | bash |
d_bash_7777 | ---
+++
@@ -10,6 +10,7 @@
if [ -n "$1" ]; then
BOOTSTRAP="$1"
else
+ # You need to run `composer install` to generate this file.
BOOTSTRAP="vendor/autoload.php"
fi
| bash |
d_bash_7778 | ---
+++
@@ -5,7 +5,7 @@
fi
[ ! -e static-analysis ] && mkdir static-analysis
cd static-analysis
-if scan-build --status-bugs cmake .. -DCMAKE_BUILD_TYPE=Debug; then
+if scan-build --status-bugs cmake ..; then
# This has to be done with else because with '!' it won't work on Mac OS X
echo
else | bash |
d_bash_7779 | ---
+++
@@ -1 +1,2 @@
-cp -R -v $PROJECT_HOME/build-support/fonts $VM_PATH/Resources/Scamper
+mkdir $VM_PATH/Resources/Scamper/fonts
+cp -R -v $PROJECT_HOME/build-support/fonts $VM_PATH/Resources/Scamper/fonts | bash |
d_bash_7780 | ---
+++
@@ -6,4 +6,4 @@
fi
CTAKES_HOME=/usr/local/apache-ctakes-3.2.2/
CP="${CTAKES_HOME}/desc/:${CTAKES_HOME}/resources/:$( find $(dirname $0)/../lib ${CTAKES_HOME}/lib -name "*.jar" | tr '\n' ':')"
-${JAVA_HOME}/bin/java -cp ${CP} com.celgene.red.ctakes.spark.CtakesSparkMain ${1}
+${JAVA_HOME}/bin/java -cp ${CP... | bash |
d_bash_7781 | ---
+++
@@ -2,7 +2,7 @@
source "$(dirname $0)/env.sh"
-if [ ! -x $MULTIRUST_DIR/bin/cargo ]; then
+if [ ! -x $MULTIRUST_DIR/bin/multirust ]; then
(
cd /tmp
git clone --recursive https://github.com/brson/multirust.git multirust | bash |
d_bash_7782 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/bash
+
+# The following tags are required:
+# rackuuid - all resources related to the deployment should have the same tag
# The following IAM roles are required:
# AmazonS3ReadOnlyAccess | bash |
d_bash_7783 | ---
+++
@@ -1,4 +1,7 @@
#!/bin/sh
+
+#stop on error
+set -e
cd /
| bash |
d_bash_7784 | ---
+++
@@ -1,4 +1,4 @@
-sudo dnf -y install feh xmonad zsh
+sudo dnf -y install feh zsh yp-tools
sudo dnf -y install dnf-plugins-core
sudo dnf -y copr enable dperson/neovim
sudo dnf -y install neovim | bash |
d_bash_7785 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/bash
set -eux
+sudo apt-get update
sudo apt-get install -y \
automake \
build-essential \ | bash |
d_bash_7786 | ---
+++
@@ -10,6 +10,11 @@
if [[ $PACKER_BUILDER_TYPE =~ vmware ]]; then
yum -y install net-tools
-yum -y install epel-release
-yum -y install open-vm-tools
+mount -o loop /home/vagrant/linux.iso /mnt
+cd /tmp
+tar zxf /mnt/VMwareTools-*.tar.gz
+umount /mnt
+/tmp/vmware-tools-distrib/vmware-install.pl --default
+... | bash |
d_bash_7787 | ---
+++
@@ -9,3 +9,4 @@
for c in $user_commands; do; alias sc-$c="systemctl $c"; done
for c in $sudo_commands; do; alias sc-$c="sudo systemctl $c"; done
+alias sc-launch="sudo systemctl start $c && sudo systemctl enable $c" | bash |
d_bash_7788 | ---
+++
@@ -2,9 +2,9 @@
set -e
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")"
-
+pattern='.*?\/docs\/([0-9]+\.[0-9]+\.[0-9]+)\/learn.*'
version=$(curl -sSL 'http://logstash.net' \
- | sed -rn '0,/.*?\/docs\/.\..\..\/learn.*/s/.*?\/docs\/([0-9]*\.[0-9]*\.[0-9]*)\/learn.*/\1/gp')
+ | sed -rn "0,/${pattern}/s/${pa... | bash |
d_bash_7789 | ---
+++
@@ -39,7 +39,7 @@
(cd proto_uni ; sh ./RunTest.sh -u $options)
(cd proto_cc ; sh ./RunTest.sh -u $options)
-(cd proto_uni ; sh ./RunTest.sh $options)
(cd proto_sscop ; sh ./RunTest.sh $options)
(cd proto_sscfu ; sh ./RunTest.sh $options)
+(cd proto_uni ; sh ./RunTest.sh $options)
(cd proto_cc ; sh ./Ru... | bash |
d_bash_7790 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/sh
-curl -s -L -o boost_1_59_0.tar.bz2 "http://downloads.sourceforge.net/project/boost/boost/1.59.0/boost_1_59_0.tar.bz2?r=http%3A%2F%2Fwww.boost.org%2Fusers%2Fhistory%2Fversion_1_59_0.html&ts=1441002160&use_mirror=netassist"
+curl -s -L -o boost_1_59_0.tar.bz2 "http://downloads.source... | bash |
d_bash_7791 | ---
+++
@@ -1,5 +1,5 @@
#!/bin/bash
-mkdir -p ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot
-pushd ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot > /dev/null 2>&1
+mkdir -p ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot/usr
+pushd ${PREFIX}/x86_64-conda_cos6-linux-gnu/sysroot/usr > /dev/null 2>&1
cp -Rf "${SRC_DIR}... | bash |
d_bash_7792 | ---
+++
@@ -10,7 +10,7 @@
##module load rstudio
export SLURM_NTASKS
-export RSTUDIO_PANDOC="/n/sw/fasrcsw/apps/Core/rstudio/0.98.1103-fasrc01/bin/pandoc/"
+export RSTUDIO_PANDOC="/n/helmod/apps/centos7/Core/rstudio/1.1.453-fasrc01/bin/pandoc"
# change filename to Rmd to be knitted. ncores is passed in through... | bash |
d_bash_7793 | ---
+++
@@ -4,12 +4,23 @@
set -u
set -o pipefail
+print_public_key() {
+ local key=$1
+
+ if [[ -n "$key" ]]; then
+ jq -c -n --arg public_key "$key" '{ "public_key": $public_key }'
+ else
+ echo '{"public_key":""}'
+ fi
+}
+
export PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sb... | bash |
d_bash_7794 | ---
+++
@@ -37,4 +37,4 @@
fi
-composer install --prefer-source
+composer install | bash |
d_bash_7795 | ---
+++
@@ -1,29 +1,35 @@
#!/bin/bash
+
+# Create dir /boot/extra
+mkdir -p /boot/extra
# Install curl, if needed
if [[ ! `command -v curl` ]]; then
- wget -qO- http://boxcar.nicinabox.com/install_curl | sh -
+
+ # Will it be installed?
+ if [ ! -f /boot/extra/curl* ]; then
+ wget -qO- http://boxcar.nicina... | bash |
d_bash_7796 | ---
+++
@@ -9,6 +9,8 @@
CXXFLAGS=-I$PREFIX/include \
../configure \
--prefix=$PREFIX \
+ --disable-pic14-port \
+ --disable-pic16-port
make -j$CPU_COUNT
make install | bash |
d_bash_7797 | ---
+++
@@ -1,4 +1,4 @@
-conda create -n openmined python=3.4
+conda create -n openmined python=3.6
source activate openmined
conda install -c anaconda mpc
conda install -c anaconda gmp | bash |
d_bash_7798 | ---
+++
@@ -2,30 +2,4 @@
set -e
-function error {
- echo error: "$@" >&2
- exit 1
-}
-
-function do_cmd {
- echo "[+] $@"
- eval "$@"
-}
-
-function git_update_submodule_with_ssh {
- local name="$1"
- local file="$2"
- cat > ssh-wrapper.sh <<EOF
-#!/bin/sh
-ssh -i "$file" "\$@"
-EOF
- chm... | bash |
d_bash_7799 | ---
+++
@@ -3,4 +3,10 @@
# reload:
# https://www.npmjs.com/package/reload
-./build/parallel_commands "reload" "./build/run_filewatcher.sh"
+# I renamed it to reload0 to deal with this issue:
+# https://github.com/jprichardson/reload/issues/13
+# which is about a command run at boot time in Ubuntu having the same ... | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.